package com.jeeplus.test.signature.domain;

import java.util.List;

/**
 * @author: 大猫
 * @create: 2021-11-02 18:32
 **/
public class Action {
    private String type;
    private String name;
    private String serialNo;
    private String sealId;
    private String autoSign;
    private String sealIds;
    private List<ActionOperatorInfo> actionOperators; //签署人信息
    private List<Location> locations; //位置信息

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSerialNo() {
        return serialNo;
    }

    public void setSerialNo(String serialNo) {
        this.serialNo = serialNo;
    }

    public String getAutoSign() {
        return autoSign;
    }

    public void setAutoSign(String autoSign) {
        this.autoSign = autoSign;
    }

    public List<ActionOperatorInfo> getActionOperators() {
        return actionOperators;
    }

    public void setActionOperators(List<ActionOperatorInfo> actionOperators) {
        this.actionOperators = actionOperators;
    }

    public List<Location> getLocations() {
        return locations;
    }

    public void setLocations(List<Location> locations) {
        this.locations = locations;
    }

    public String getSealId() {
        return sealId;
    }

    public void setSealId(String sealId) {
        this.sealId = sealId;
    }

    public String getSealIds() {
        return sealIds;
    }

    public void setSealIds(String sealIds) {
        this.sealIds = sealIds;
    }
}
